RequireJS dependency handling

Attention

The RequireJS project has been discontinued and was therefore replaced by native ECMAScript v6/v11 modules in TYPO3 v12.0. The infrastructure for configuration and loading of RequireJS modules was deprecated with v12.0 and has been removed in TYPO3 v13. See RequireJS to ES6 migration.